package com.neusoft.smart.pos.org.persistent.mapper;

import com.neusoft.smart.pos.org.persistent.domain.Tables;
import com.neusoft.smart.pos.org.persistent.domain.TablesExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TablesMapper {

    int countByExample(TablesExample example);

    int deleteByExample(TablesExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Tables record);

    int insertSelective(Tables record);

    List<Tables> selectByExample(TablesExample example);

    Tables selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Tables record, @Param("example") TablesExample example);

    int updateByExample(@Param("record") Tables record, @Param("example") TablesExample example);

    int updateByPrimaryKeySelective(Tables record);

    int updateByPrimaryKey(Tables record);

    void batchInsert(@Param("items") List<Tables> items);

    List<Tables> selectByShopId(Integer shopId);

    int countByTableName(@Param("tableName") String tableName, @Param("shopId") Integer shopId);

    int countByTableName2(@Param("tableName") String tableName, @Param("shopId") Integer shopId, @Param("id") Integer id);

    int countByGroup(@Param("groupId") Integer id);
}